#!/bin/sh

SERVICES="m4d org.cups.cupsd heatd logd qaptworker2 wifid wpa_supplicant utilityd analyticsd qaseriald usbbd sid"

systemctl stop m4d
read -t 0 stuff < /dev/ttyRPMSG30
read -t 0 stuff2 < /dev/ttyRPMSG31
modprobe -r imx_rpmsg_tty
modprobe -r imx_rpmsg
m4ctrl --deploy=/lib/firmware/OttoM4App.bin
sleep 1
modprobe -i imx_rpmsg
sleep 1
modprobe -i imx_rpmsg_tty
sleep 2

fw_setenv -f u-boot-initial-env-gp
cancel -a
systemctl daemon-reload
for serviceName in $SERVICES; do
    echo Restarting $serviceName
    systemctl restart $serviceName
done
systemctl restart loadubootvariables
systemctl restart wayland