#!/bin/sh

# Mass Storage Device

modprobe -i usb_f_mass_storage

mkdir $GP_FUNCTIONS_DIR/mass_storage.0

# link our configs
ln -s $GP_FUNCTIONS_DIR/mass_storage.0 $GP_CONFIGS_DIR

# Create the FileSystem
if [ ! -e /home/root/internal_usb.img ]
then
	dd bs=1M count=200 if=/dev/zero of=/home/root/internal_usb.img
	mkfs.fat -F 32 -n $1 /home/root/internal_usb.img
fi
echo /home/root/internal_usb.img > $GP_FUNCTIONS_DIR/mass_storage.0/lun.0/file
